Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api
Class CollectionConditionalExpression

    java.lang.Object
      org.eclipse.birt.data.engine.api.querydefn.BaseExpression
          org.eclipse.birt.data.engine.api.CollectionConditionalExpression

All Implemented Interfaces:
  IBaseExpression, ICollectionConditionalExpression

    public class CollectionConditionalExpression

extends BaseExpression
implements ICollectionConditionalExpression

Field Summary

Fields inherited from class org.eclipse.birt.data.engine.api.querydefn.BaseExpression
`dataType, handle`

Fields inherited from interface org.eclipse.birt.data.engine.api.ICollectionConditionalExpression
`OP_IN, OP_NOT_IN`

Fields inherited from interface org.eclipse.birt.data.engine.api.IBaseExpression
`GROUP_OVERALL`

Constructor Summary
`CollectionConditionalExpression(java.util.Collection<IScriptExpression> expr, int operator, java.util.Collection<java.util.Collection<IScriptExpression>> operand)`

Method Summary
`java.util.Collection<IScriptExpression>` | `getExpr()`
`java.util.Collection<java.util.Collection<IScriptExpression>>` | `getOperand()`
`int` | `getOperator()`

Methods inherited from class org.eclipse.birt.data.engine.api.querydefn.BaseExpression
`getDataType, getGroupName, getHandle, getScriptId, setDataType, setGroupName, setHandle, setScriptId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionConditionalExpression

    public CollectionConditionalExpression(java.util.Collection<IScriptExpression> expr,
                                           int operator,
                                           java.util.Collection<java.util.Collection<IScriptExpression>> operand)

Method Detail

### getExpr

    public java.util.Collection<IScriptExpression> getExpr()

  Specified by:
    `getExpr` in interface `ICollectionConditionalExpression`

### getOperand

    public java.util.Collection<java.util.Collection<IScriptExpression>> getOperand()

  Specified by:
    `getOperand` in interface `ICollectionConditionalExpression`

### getOperator

    public int getOperator()

  Specified by:
    `getOperator` in interface `ICollectionConditionalExpression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.